Name: rox-tasklist
Version: 0.5
Release: alt1.1

Summary: Tasklist applet for ROX desktop enviroment
License: GNU GPL
Group: Graphical desktop/Other

Url: http://rox.sourceforge.net/
Source: http://prdownloads.sourceforge.net/rox/Tasklist-%version.tgz
Packager: Eugene Ostapets <eostapets@altlinux.ru>


# Automatically added by buildreq on Sat Aug 13 2005
BuildRequires: fontconfig freetype2 glib2-devel hostinfo libatk-devel libgtk+2-devel libpango-devel libstartup-notification libwnck-devel libxml2-devel pkgconfig xorg-x11-libs zlib-devel

%description
Tasklist is an applet for the ROX panel that shows you a list of currently open applications. This allows you to immediately see what's open and provides an easy way to quickly switch between applications.

%prep
%setup -q -n Tasklist-%version

%build
cd src
%configure \
	--enable-rox \
	--with-platform=Linux-ix86

%make

%install
%__mkdir -p %buildroot/usr/{lib/rox/Tasklist/Linux-ix86,share/doc/%name-%version}
%__install -m 755 Linux-ix86/Tasklist %buildroot/usr/lib/rox/Tasklist/Linux-ix86/
%__install -m 755 AppRun %buildroot/usr/lib/rox/Tasklist/
%__install -m 755 AppletRun %buildroot/usr/lib/rox/Tasklist
%__install -m 644 .DirIcon %buildroot/usr/lib/rox/Tasklist
%__install -m 644 AppInfo.xml %buildroot/usr/lib/rox/Tasklist
%__install -m 644 Options.xml %buildroot/usr/lib/rox/Tasklist

%files
%dir %_libdir/rox/Tasklist
%_libdir/rox/Tasklist/*
%_libdir/rox/Tasklist/.DirIcon
%doc Help/Changes Help/README

%changelog
* Tue Sep 06 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.5-alt1.1
- rebuild with libwnck.

* Sat Aug 13 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.5-alt1
- first build

